{% extends 'adminbase.html.twig' %}

{% block title %}Product index{% endblock %}

{% block body %}
    <h1>Product index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>SubCategory</th>
                <th>Slug</th>
                <th>DefaultDiscription</th>
                <th>Created_At</th>
                <th>actions</th>
                           
            </tr>
        </thead>
        <tbody>
        {% for product in products %}
            <tr>
                <td>{{ product.id }}</td>
                <td>{{ product.title }}</td>
                {% if product.category.title != null %}
                    {%if product.category.parentid != null %}
                        <td>{{ product.category.parentid.title}} > {{product.category.title }}</td>
                    {%else%}
                    <td>{{ product.category.title}}</td>
                    {% endif %}
                {%else%}
                    <td>{{''}}</td>
                {% endif %}
                <td>{{ product.slug }}</td>
                <td>{{ product.defaultdiscription }}</td>
                <td>{{ product.createdAt ? product.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('app_product_show', {'id': product.id}) }}"><i class="fa-solid fa-table-list"></i></a>
                    <a href="{{ path('app_product_edit', {'id': product.id}) }}"><i class="fa-regular fa-pen-to-square"></i></a>
                    <a href="{{ path('app_product_variation_list', {'id': product.id}) }}">ShowVariation</a>
                   
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_product_new') }}">Create new</a>
{% endblock %}
